[ofa-general] [PATCH] Create script to automate perltidy command

Ira Weiny weiny2 at llnl.gov
Thu Feb 28 15:21:10 PST 2008


>From 37ff9757607389ed6fbc250d825732093ca49e5f Mon Sep 17 00:00:00 2001
From: Ira K. Weiny <weiny2 at llnl.gov>
Date: Thu, 28 Feb 2008 15:19:51 -0800
Subject: [PATCH] Create script to automate perltidy command


Signed-off-by: Ira K. Weiny <weiny2 at llnl.gov>
---
 infiniband-diags/perltidy.sh |   61 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 61 insertions(+), 0 deletions(-)
 create mode 100755 infiniband-diags/perltidy.sh

diff --git a/infiniband-diags/perltidy.sh b/infiniband-diags/perltidy.sh
new file mode 100755
index 0000000..77564df
--- /dev/null
+++ b/infiniband-diags/perltidy.sh
@@ -0,0 +1,61 @@
+#!/bin/bash
+#
+# Copyright (c) 2006 The Regents of the University of California.
+#
+# Produced at Lawrence Livermore National Laboratory.
+# Written by Ira Weiny <weiny2 at llnl.gov>.
+#
+# This software is available to you under a choice of one of two
+# licenses.  You may choose to be licensed under the terms of the GNU
+# General Public License (GPL) Version 2, available from the file
+# COPYING in the main directory of this source tree, or the
+# OpenIB.org BSD license below:
+#
+#     Redistribution and use in source and binary forms, with or
+#     without modification, are permitted provided that the following
+#     conditions are met:
+#
+#      - Redistributions of source code must retain the above
+#        copyright notice, this list of conditions and the following
+#        disclaimer.
+#
+#      - Redistributions in binary form must reproduce the above
+#        copyright notice, this list of conditions and the following
+#        disclaimer in the documentation and/or other materials
+#        provided with the distribution.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+#
+
+tidy_cmd="perltidy -pt=2 -sbt=2 -bt=2 -nsfs -b -t -nola -ce -sbl -nbbc"
+
+argv0=`basename $0`
+scripts_dir=`dirname $0`/scripts
+
+if [ "$1" == "-h" ]; then
+   echo "$argv0 [-h]"
+   echo "   Run perltidy on all perl scripts and modules in the scripts directory"
+   exit 1
+fi
+
+cd $scripts_dir
+
+for file in *.pl ; do
+   echo "tidy : $scripts_dir/$file"
+   $tidy_cmd $file
+done
+
+for file in *.pm ; do
+   echo "tidy : $scripts_dir/$file"
+   $tidy_cmd $file
+done
+
+exit 0
+
-- 
1.5.1

-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0001-Create-script-to-automate-perltidy-command.patch
Type: application/octet-stream
Size: 2670 bytes
Desc: not available
URL: <http://lists.openfabrics.org/pipermail/general/attachments/20080228/346ac252/attachment.obj>


More information about the general mailing list